"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var angular_1 = require("@ui-model/angular");
var FormGroupComponent = (function () {
    function FormGroupComponent() {
    }
    Object.defineProperty(FormGroupComponent.prototype, "form", {
        get: function () {
            return this.group && this.group[angular_1.metaKeyModel];
        },
        enumerable: true,
        configurable: true
    });
    FormGroupComponent.prototype.cssOf = function (field) {
        if (!field) {
            return '';
        }
        var cssList = ['ui-model-field', "ui-model-field-" + field.name];
        if (field.css) {
            if (core_1.isDevMode()) {
                console.warn('You specified a custom css, so I no longer automatically add `col-md-*` class.');
            }
            cssList.push(field.css);
        }
        else {
            if (field.isGroup || field.isArray) {
                cssList.push('col-md-12');
            }
            else {
                cssList.push('col-md-6');
            }
        }
        return cssList.join(' ');
    };
    return FormGroupComponent;
}());
FormGroupComponent.decorators = [
    { type: core_1.Component, args: [{
                selector: 'ui-form-group',
                templateUrl: './form-group.component.html',
                styleUrls: ['./form-group.component.scss'],
            },] },
];
/** @nocollapse */
FormGroupComponent.ctorParameters = function () { return []; };
FormGroupComponent.propDecorators = {
    'group': [{ type: core_1.Input },],
};
exports.FormGroupComponent = FormGroupComponent;
//# sourceMappingURL=form-group.component.js.map